Name: cockpit-starter-kit
Version: 1
Release: 1.20241119073202206448.pr1028%{?dist}
Summary: Cockpit Starter Kit Example Module
License: LGPL-2.1-or-later

Source0: cockpit-starter-kit-1.tar.xz
Source1: cockpit-starter-kit-node-1.tar.xz
BuildArch: noarch
%if ! 0%{?suse_version}
ExclusiveArch: %{nodejs_arches} noarch
%endif
%if ! 0%{?rhel} || 0%{?rhel} >= 10
BuildRequires: nodejs >= 18
%endif
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires: appstream-glib
%else
BuildRequires: libappstream-glib
%endif
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-bridge

Provides: bundled(npm(@floating-ui/core)) = 1.6.8
Provides: bundled(npm(@floating-ui/dom)) = 1.6.12
Provides: bundled(npm(@floating-ui/utils)) = 0.2.8
Provides: bundled(npm(@lit-labs/ssr-dom-shim)) = 1.2.1
Provides: bundled(npm(@lit/context)) = 1.1.3
Provides: bundled(npm(@lit/reactive-element)) = 2.0.4
Provides: bundled(npm(@patternfly/elements)) = 4.0.2
Provides: bundled(npm(@patternfly/icons)) = 1.0.3
Provides: bundled(npm(@patternfly/pfe-core)) = 4.0.4
Provides: bundled(npm(@types/trusted-types)) = 2.0.7
Provides: bundled(npm(lit-element)) = 4.1.1
Provides: bundled(npm(lit-html)) = 3.2.1
Provides: bundled(npm(lit)) = 3.2.1
Provides: bundled(npm(tslib)) = 2.8.1

%description
Cockpit Starter Kit Example Module

%prep
%autosetup -n cockpit-starter-kit -a 1
# ignore pre-built bundle in release tarball and rebuild it
# but keep it in RHEL/CentOS-8/9, as that has a too old nodejs
%if ! 0%{?rhel} || 0%{?rhel} >= 10
rm -rf dist
%endif

%build
NODE_ENV=production make

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Tue Nov 19 2024 Packit <hello@packit.dev> - 1-1.20241119073202206448.pr1028
- Development snapshot (5aa20207)
